Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.compile
Class GroovyCompile

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.SourceTask
              org.gradle.api.tasks.compile.Compile
                  org.gradle.api.tasks.compile.GroovyCompile

    class GroovyCompile
    extends Compile

author:
  Hans Dockter

Field Summary

Fields inherited from class Compile
antCompile

Constructor Summary
`GroovyCompile()`

Method Summary
`protected void` | `compile()`
`AntGroovyc` | `getAntGroovyCompile()`
`FileCollection` | `getGroovyClasspath()`
`GroovyCompileOptions` | `getGroovyOptions()` Gets the options for the groovyc compilation.
`void` | `setAntGroovyCompile(AntGroovyc antGroovyCompile)`
`void` | `setGroovyClasspath(FileCollection groovyClasspath)`
`void` | `setGroovyOptions(GroovyCompileOptions groovyOptions)` Sets the options for the groovyc compilation.

Methods inherited from class Compile
compile, getClasspath, getDependencyCacheDir, getDestinationDir, getOptions, getSourceCompatibility, getTargetCompatibility, setAntCompile, setClasspath, setDependencyCacheDir, setDestinationDir, setOptions, setSourceCompatibility, setTargetCompatibility

Methods inherited from class SourceTask
exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, setExcludes, setIncludes, setSource, source

Constructor Detail

### GroovyCompile

    GroovyCompile()

Method Detail

### compile

    protected void compile()

### getAntGroovyCompile

    public AntGroovyc getAntGroovyCompile()

### getGroovyClasspath

    @InputFiles
    public FileCollection getGroovyClasspath()

### getGroovyOptions

    public GroovyCompileOptions getGroovyOptions()

  Gets the options for the groovyc compilation. To set specific options for the nested javac compilation, use #getOptions().

### setAntGroovyCompile

    public void setAntGroovyCompile(AntGroovyc antGroovyCompile)

### setGroovyClasspath

    public void setGroovyClasspath(FileCollection groovyClasspath)

### setGroovyOptions

    public void setGroovyOptions(GroovyCompileOptions groovyOptions)

  Sets the options for the groovyc compilation. To set specific options for the nested javac compilation, use #getOptions(). Usually you don't set the options, but you modify the existing instance provided by #getGroovyOptions()
  param:
    groovyOptions

Groovy Documentation